Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		utouch-gesturetest
#Epoch:		0
Version:	1.0.4
Release:	1
License:	GNU/GPLv3, MIT X Expat
URL:		https://launchpad.net/utouch-gesturetest
Group:		System/Configuration/Hardware
Summary:	gesture test program
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		utouch-gesturetest-python.patch

# Requires:

# BuildRequires:
BuildRequires: python26-devel
BuildRequires: libxslt-devel
BuildRequires: utouch-grail-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

%description
A test program for displaying gestures occurring within windows on the screen. It is built using the XCB interface to the X Gesture extension.


%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--disable-debug

# don`t do parallel builds as it breaks compilation
#make %{?_smp_mflags}
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/gesturetest
%{_mandir}/man1/gesturetest.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Dec 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- initial CCux package release
